Home
Release Notes
Home
Release Notes
Linkedin
  1. Services
  • Baladâ„¢ Gateway Documentation đŸ“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
        • Request Sender Document Upload URL
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
    • Bills
      • Services
        • Categories
          GET
        • Providers
          GET
        • Services
          GET
        • Service Configurations
          GET
        • available currencies
          GET
      • Payments
        • Inquiry
        • Fees
        • Confirm Payment
        • Bill Payment List
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Services

Services

GET
/bills/services
The "Get Services" API retrieves a list of available services .This information can be used to populate dropdowns or lists within applications, facilitating the selection of specific services for bill payment transactions.
Request Params
SI NoParameterLengthTypeMandatoryRemarks
1category_id1StringNUnique identifier of the category
can be retreived from the Get Categories endpoint
2provider_id3StringNUnique identifier of the provider
can be retreived from the Get Providers endpoint
Response Params
SI NoParameterRemarks
1provider_idUnique identifier for each service provider
2category_idUnique identifier for each category
3provider_nameName of the service provider
4service_idUnique identifier for each service

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://gateway-sandbox.balad.tech/bills/services?category_id=X&provider_id=XXX' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json'

Responses

đŸŸ¢200Success
application/json
Bodyapplication/json

Example
{
    "data": [
        {
            "service_id": XXXX,
            "provider_id": XX,
            "category_id": X,
            "service_name": "Internet ADSL"
        },
        {
            "service_id": XXXX,
            "provider_id": XX,
            "category_id": X,
            "service_name": "Mobile Recharge"
        }
    ]
}
Previous
Providers
Next
Service Configurations
Built with